// dllmain.cpp : Definiert den Einstiegspunkt für die DLL-Anwendung.
#include "targetver.h"
#include "library_version.h"

#ifndef WIN32_LEAN_AND_MEAN // Selten verwendete Teile der Windows-Header nicht einbinden.
#define WIN32_LEAN_AND_MEAN
#endif
#include <winsock2.h>
#include "datafox_library_iv.h"

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch ( ul_reason_for_call )
	{
    case DLL_PROCESS_ATTACH: {
        // Benutzung der Socket - Funktionalitaet initialisieren
        WSADATA WindowsData;
        WORD    Version;

        Version = MAKEWORD(2, 2);
        WSAStartup(Version, &WindowsData);

        theApp._hModule = hModule;
#ifdef _DEBUG
        // Sicherstellen, dass die Versionsangabe mit der Dateiversion übereinstimmt.
        SoftwarebuildVersion version;
        if ( !theApp.GetVersion(version) || version != libraryVersion )
        {          
            //MessageBox(NULL, "Die Bibliotheksversion muss abgeglichen werden!", "DFComDLL Fehler", MB_OK|MB_ICONERROR);
        }
#endif
        break;}
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
        break;
    case DLL_PROCESS_DETACH: {

        // Socket - Funktionalitaet exit
        WSACleanup();
        break;}
	}

	return TRUE;
}

